# Категория.Субкатегория

**Значение типа: 0xBA98**

## Client2Server

Какое-то описание метода. На данный момент, "оффициально" поддерживается два формата, в которых могут быть представлены данные: ячейки (пары "ключ-значение", с указанием длинны значения) и фиксированная схема. Тут представлен пример в формате ячеек.

**Ячейки:**

- Код кредитки
	- _Ключ:_ 0x01
	- _Тип:_ `uint16_t`
	- CVV-код от кредитной карты разработчика. Может быть представлен 12-ю битами, но данные выровнены по сетке в 8 бит.
- ФИ
	- _Ключ:_ 0x02
	- _Тип:_ `char[]`
	- Имя и фамилия разработчика. Так как он предпочитает никнеймы вписывающиеся в кодировку ASCII - может быть представлено в виде обычного однобайтового массива.



## Server2Client

Какие-то пояснении об отличии этого метода от C2S-шной версии. Тут представлен пример в формате фиксированной схемы.

**Фиксированная схема:**

- Место жительства разработчика
	- _Размер:_ 7 байт
	- _Тип:_ `char[]`
	- Название региона, в котором проживает разработчик. Пишется латиницей, в кодировке ASCII.
- Возраст Жака Фреско
	- _Размер:_ 1 байт
	- _Тип:_ `uint8_t`
	- Возраст разработчика.



## Server2Server

_Также как и Client2Server._